using YBEE.EQM.Core;

namespace YBEE.EQM.Application
{
    public interface ISysRoleService
    {
        Task Add(AddSysRoleInput input);
        Task Del(DeleteSysRoleInput input);
        Task Update(UpdateSysRoleInput input);
        /// <summary>
        /// 获取当前用户角色数据权限范围
        /// </summary>
        /// <returns></returns>
        Task<RoleDataScope> GetCurrentUserDataScope();
        Task<List<SysRoleOutput>> GetAllList();
        Task<List<SysRoleOutput>> GetListByIds(List<int> ids);
    }
}